
Figure - Bug #117152
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【音量调节】副屏断开蓝牙耳机后，音乐声音没有从扬声器输出
2023-03-24 15:40 - CD Test赵飞

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date: 2023-03-30

Assignee: CD Test赵飞 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-30

Test Type: ST Root cause: 在蓝牙断开时，调用了abandonaudiofocus，导致中控认为失去了音频焦点，不再允许副屏播放。

Description

【前提条件】

1、副屏与中控已连接

2、副屏已连接蓝牙耳机

3、副屏音乐播放中

【测试步骤】

1、副屏关闭蓝牙

2、查看

【预期结果】

2、音乐声音从扬声器输出

【实际结果】

2、音乐声音没有从扬声器输出

History

#1 - 2023-03-27 18:06 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD Test赵飞

Hi 赵飞

■ 当前分析

当前从日志看，设备已经切换为speaker了，未见其他异常。

当前尝试复现，

版本：

中控：62

副屏：3/26

复现步骤：

1、副屏与中控已连接

2、副屏已连接蓝牙耳机

3、副屏音乐播放中

4、副屏断开蓝牙耳机
5、手动继续播放音乐

观察现象

音乐依然从扬声器正常输出。

■ 下一步

根据目前现象，新版本不复现，请帮忙确认，谢谢！

#2 - 2023-03-27 18:07 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

#3 - 2023-03-29 11:27 - CD Test赵飞

- File QQ音乐HD.apk added

- File 哔哩哔哩.apk added

- Assignee changed from CD Test赵飞 to Multimedia组-RD3_TSCD 梁卿山

使用3/29号release版本复现此问题

更新复现步骤：

前提条件：

1、副屏安装第三方音视频应用（QQ音乐HD版，哔哩哔哩车机版、王者荣耀等游戏）

2、副屏连接蓝牙耳机

步骤：

1、运行前提条件中安装的音视频应用或游戏

2、音视频应用播放音乐或视频

3、断开蓝牙耳机与副屏的连接（或直接关闭副屏蓝牙开关）

实际结果：

3、音视频应用中正在播放的音乐或视频不会暂停播放，但声音没有从扬声器输出

备注：

系统自带的音乐播放器和视频播放器在蓝牙断开后会暂停播放，手动恢复播放后，声音可以从扬声器输出，不会出现此问题

部分三方音视频应用在蓝牙断开后也会暂停播放，也不会出现此问题

测试使用的几个三方音视频应用在蓝牙断开后不会暂停播放，所以会出现此问题

测试使用三方应用见附件

#4 - 2023-03-30 16:32 - Multimedia组-RD3_TSCD 梁卿山

- % Done changed from 0 to 80

HI ALL，

■ 当前分析

该问题发生的原因是，在蓝牙断开时，调用了abandonaudiofocus，导致中控认为失去了音频焦点，不再允许副屏播放。

■ 下一步

已经找到方案修复，本地验证没问题。
#5 - 2023-03-30 17:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191011 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix Bluetooth disconnection lost focusFix Bluetooth disconnection lost focusTC-RID: 0301-0900116IssueID: TS-R-BUG-117152Change-Id:

I1a9178313570c0c574a0999cd91e656375ae28ae

#6 - 2023-03-30 17:26 - Multimedia组-RD3_TSCD 梁卿山

- Due date set to 2023-03-30

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD Test赵飞

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-30

- Root cause set to 在蓝牙断开时，调用了abandonaudiofocus，导致中控认为失去了音频焦点，不再允许副屏播放。

HI 赵飞

该问题已经修复，请使用3月30后的版本验证，谢谢！

#7 - 2023-04-03 11:26 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102.202304010020

验证结果：PASS

#8 - 2023-04-03 11:27 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 8.86 MB 2023-03-24 CD Test赵飞

QQ音乐HD.apk 24 MB 2023-03-29 CD Test赵飞

哔哩哔哩.apk 22.5 MB 2023-03-29 CD Test赵飞
